package org.eco.system.domain.po;

import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.Table;
import lombok.Data;
import org.eco.common.orm.core.domain.BaseEntity;
import org.eco.system.domain.BasePO;

import java.util.Date;

@Data
@Table(value = "video_generation_task")
public class VideoPo extends BasePO {

    @Id
    private String id;          // 任务ID

    private String userId;      // 创建任务的用户ID

    private String taskType;    // 生成任务类型（text/record/audio）

    private String videoName;   // 视频名称

    private String textContent; // 文本内容

    private String errorMsg;      // 音色

    private String status;      // 任务状态（pending/processing/success/failed）

    private String videoUrl;    // 视频播放链接

    private Date createTime;    // 创建时间

    private Date updateTime;    // 更新时间
}
