package org.eco.system.service.impl;

import com.mybatisflex.core.query.QueryWrapper;
import org.eco.common.orm.core.service.impl.BaseServiceImpl;
import org.eco.common.security.utils.LoginHelper;
import org.eco.system.domain.po.VideoPo;
import org.eco.system.mapper.TaskMapper;
import org.eco.system.service.ITask;
import org.springframework.stereotype.Service;

import java.util.List;

import static org.eco.system.domain.po.table.VideoPoTableDef.VIDEO_PO;


@Service
public class ITaskImpl extends BaseServiceImpl<TaskMapper, VideoPo> implements ITask {
    @Override
    public List<VideoPo> selectListByUser(VideoPo po) {
        QueryWrapper wrapper = QueryWrapper.create().and(VIDEO_PO.USER_ID.eq(LoginHelper.getUserId())).orderBy(VIDEO_PO.CREATE_TIME,false);
        return  this.listAs(wrapper,VideoPo.class);
    }
}
